{% extends "bootstrap/base.html" %}
{% import "bootstrap/wtf.html" as wtf %}

{% block title %}QUORA{% endblock %}
{% block head %}
{{ super() }}
<link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='styles.css') }}">
{% endblock %}


{% block navbar %}
<div class="navbar navbar-default navbar-sticky-top" style="color: rgb(255, 255, 255)" role="navigation">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle"
             data-toggle="collapse" data-target=".navbar-collapse" style="color: brown">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="{{ url_for('main.index') }}" style="font-size: 2.5rem; color: brown">Quora</a>
        </div>

        <div class="navbar-collapse collapse">
            {% if g.search_form %}
                <form class="navbar-form navbar-left" method="get"
                        action="{{ url_for('main.search') }}">
                    <div class="form-group">
                        {{ g.search_form.q(size=20, class='form-control',
                            placeholder=g.search_form.q.label.text) }}
                    </div>
                </form>
            {% endif %}
            <ul class="nav navbar-nav navbar-right">
                
                {% if current_user.is_authenticated %}
                    {% if request.endpoint == 'main.index' %}
                        <li><button type="button" class="btn btn-danger navbar-btn"
                                    data-toggle="modal" data-target="#myModal" >
                                    Add Question
                                </button>
                        </li>
                    {% endif %}
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <img class="img-circle" src="{{ current_user.avatar(size=18) }}">
                        {{ current_user.username }} <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu">
                        <li><a href="{{ url_for('main.users', username=current_user.username) }}" style="text-transform: capitalize">Profile</a> </li>
                        <li><a href="{{ url_for('auth.change_password') }}">Change Password</a> </li>
                        <li><a href="{{ url_for('auth.logout') }}">Logout</a></li>
                    </ul>
                </li>
                {% else %}
                <li><a href="{{ url_for('auth.login') }}">Login</a></li>
                {% endif %}
            </ul>
        </div>
    </div>
</div>
{% endblock %}

{% block content %}
<div class="container">
    {% with messages = get_flashed_messages() %}
        {% if messages %}
            {% for message in messages %}
            <div class="alert alert-warning">
                <button type="button" class="close" data-dismiss="alert">&times;</button>
                {{ message }}
            </div>
            {% endfor %}
        {% endif %}
        {% endwith %}
    {# application content needs to be provided in the app_content block #}
    {% block app_content %}{% endblock %}
</div>
{% endblock %}

{% block scripts %}
{{ super() }}
{{ moment.include_moment() }}
{% endblock %}